<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/rtc.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">rtc.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series RTC driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for rtc.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d37/rtc_8c__incl.png" border="0" usemap="#a_std_driver_2src_2rtc_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d4/dcc/rtc_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">RTC_32KCalibration</a> (int32_t i32FrequencyX10000)</td></tr>
<tr class="memdesc:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frequency Compensation Data.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">More...</a><br /></td></tr>
<tr class="separator:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">RTC_Open</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">More...</a><br /></td></tr>
<tr class="separator:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">RTC_GetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:gaf6a099b0c535e8896b99f744601f9d8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read current date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">More...</a><br /></td></tr>
<tr class="separator:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">RTC_GetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read alarm date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">More...</a><br /></td></tr>
<tr class="separator:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">RTC_SetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">More...</a><br /></td></tr>
<tr class="separator:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga409ada4692ecf2989c51684fc5a11596"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">RTC_SetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga409ada4692ecf2989c51684fc5a11596"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">More...</a><br /></td></tr>
<tr class="separator:ga409ada4692ecf2989c51684fc5a11596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">RTC_SetDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day, uint32_t u32DayOfWeek)</td></tr>
<tr class="memdesc:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">More...</a><br /></td></tr>
<tr class="separator:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga814dadca05393de94c8086104d7d0595"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">RTC_SetTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga814dadca05393de94c8086104d7d0595"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">More...</a><br /></td></tr>
<tr class="separator:ga814dadca05393de94c8086104d7d0595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">RTC_SetAlarmDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day)</td></tr>
<tr class="memdesc:gacefd98fd02a524ba3db5490b68da2a9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">More...</a><br /></td></tr>
<tr class="separator:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">RTC_SetAlarmTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">More...</a><br /></td></tr>
<tr class="separator:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga524763363389c8ac1638edfa0bc40d26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">RTC_EnableTamperDetection</a> (uint32_t u32PinCondition)</td></tr>
<tr class="memdesc:ga524763363389c8ac1638edfa0bc40d26"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">More...</a><br /></td></tr>
<tr class="separator:ga524763363389c8ac1638edfa0bc40d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9952ececf928b21361f438a9838098e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">RTC_DisableTamperDetection</a> (void)</td></tr>
<tr class="memdesc:ga9952ececf928b21361f438a9838098e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable tamper detection function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">More...</a><br /></td></tr>
<tr class="separator:ga9952ececf928b21361f438a9838098e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13410b882014dab95d772d5f4c74a587"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">RTC_GetDayOfWeek</a> (void)</td></tr>
<tr class="memdesc:ga13410b882014dab95d772d5f4c74a587"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to get day of week.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">More...</a><br /></td></tr>
<tr class="separator:ga13410b882014dab95d772d5f4c74a587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab033fe338dc5c91d0c05975380f4d46c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">RTC_SetTickPeriod</a> (uint32_t u32TickSelection)</td></tr>
<tr class="memdesc:gab033fe338dc5c91d0c05975380f4d46c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set time tick period for periodic time tick Interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">More...</a><br /></td></tr>
<tr class="separator:gab033fe338dc5c91d0c05975380f4d46c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04757169c2ecc5daf11616e7a94b103d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">RTC_EnableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga04757169c2ecc5daf11616e7a94b103d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">More...</a><br /></td></tr>
<tr class="separator:ga04757169c2ecc5daf11616e7a94b103d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">RTC_DisableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">More...</a><br /></td></tr>
<tr class="separator:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f87d84d966a979b91af4db66582d9c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">RTC_Close</a> (void)</td></tr>
<tr class="memdesc:ga6f87d84d966a979b91af4db66582d9c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable RTC clock.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">More...</a><br /></td></tr>
<tr class="separator:ga6f87d84d966a979b91af4db66582d9c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series RTC driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>19 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 1:52p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
